import React from 'react';
import type { FloatingNode, FloatingTree, FloatingContext, Middleware, Placement, Strategy } from './types';
export * from '@floating-ui/react-dom';
export { useInteractions } from './useInteractions';
export { createTree } from './createTree';
export { safePolygon } from './safePolygon';
export { FloatingPortal } from './FloatingPortal';
export { FloatingGroup, useGroup, useGroupContext } from './FloatingGroup';
export { useAria } from './hooks/useAria';
export { useClick } from './hooks/useClick';
export { useDismiss } from './hooks/useDismiss';
export { useFloatingId } from './hooks/useFloatingId';
export { useFocus } from './hooks/useFocus';
export { useFocusTrap } from './hooks/useFocusTrap';
export { useHover } from './hooks/useHover';
export { useListNavigation } from './hooks/useListNavigation';
export { useTypeahead } from './hooks/useTypeahead';
interface Props {
    open: boolean;
    onOpenChange: (open: boolean) => void;
    placement: Placement;
    middleware: Array<Middleware>;
    strategy: Strategy;
    treeRef: React.MutableRefObject<FloatingTree>;
    nodeRef: React.MutableRefObject<FloatingNode>;
}
export declare function useFloating({ open, onOpenChange, placement, middleware, strategy, treeRef, nodeRef, }?: Partial<Props>): {
    placement: Placement;
    strategy: Strategy;
    middlewareData: import("@floating-ui/react-dom").MiddlewareData;
    x: number;
    y: number;
    update: () => void;
    reference: (node: import("@floating-ui/core").VirtualElement | Element) => void;
    floating: (node: HTMLElement) => void;
    refs: {
        reference: import("react").MutableRefObject<import("@floating-ui/core").VirtualElement | Element>;
        floating: import("react").MutableRefObject<HTMLElement>;
    };
    context: FloatingContext;
};
