import React, { MutableRefObject } from 'react';
import type { UseFloatingReturn } from '@floating-ui/react-dom';
export * from './';
export * from '@floating-ui/dom';
export { arrow } from '@floating-ui/react-dom';
export interface FloatingContext extends UseFloatingReturn {
    open: boolean;
    onOpenChange?: (open: boolean) => void;
    dataRef: React.MutableRefObject<Record<string, any>>;
    treeRef?: React.MutableRefObject<FloatingTree>;
    nodeRef?: React.MutableRefObject<FloatingNode>;
}
export interface FloatingNode {
    id: string;
    parentId: string | null;
    open: boolean;
}
export interface FloatingTree {
    nodes: Array<MutableRefObject<FloatingNode>>;
    on(event: string, listener: (data: any) => void): void;
    off(event: string, listener: (data: any) => void): void;
    emit(event: string, data?: any): void;
}
export interface ElementProps {
    reference?: React.HTMLProps<Element>;
    floating?: React.HTMLProps<HTMLElement>;
}
